Loading...
Searching...
No Matches
curvilinear.h File Reference
`#include "mfem.hpp"`
`#include "stroid/config/config.h"`
`#include "fourdst/config/config.h"`
Include dependency graph for curvilinear.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | stroid
namespace | stroid::topology

## Functions

void | stroid::topology::PromoteToHighOrder (mfem::Mesh &mesh, const fourdst::config::Config< config::MeshConfig > &config)
| Promote a mesh to high-order by attaching an H1 nodal finite element space.
void | stroid::topology::ProjectMesh (mfem::Mesh &mesh, const fourdst::config::Config< config::MeshConfig > &config)
| Project high-order mesh nodes using the configured curvilinear mapping.